%define upstream_name    Regexp-Bind
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:	Regexp::Bind - Bind variables to captured buffers
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Regexp/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch


%description
This module is an extension to perl's native regexp function. It
binds anonymous hashes or named variables to matched buffers. Both
normal regexp syntax and embedded regexp syntax are supported.
You can view it as a tiny and petite data extraction system.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/Regexp/Bind.pm
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-9.mga8
+ Revision: 1497027
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.50.0-8.mga7
+ Revision: 1270894
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-7.mga6
+ Revision: 1032764
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.50.0-6.mga6
+ Revision: 932403
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-5.mga5
+ Revision: 739845
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-4.mga5
+ Revision: 686094
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.50.0-3.mga4
+ Revision: 514395
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 372271
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 26901
- mageia rebuild
- imported package perl-Regexp-Bind


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.50.0-1mdv2010.0
+ Revision: 404354
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.05-5mdv2009.0
+ Revision: 241849
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 0.05-3mdv2008.0
+ Revision: 25104
- rebuild


* Wed May 03 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.05-2mdk
- Fix According to perl Policy
	- Source URL
- use mkrel

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.05-1mdk
- initial Mandriva package

